Orders
Get Order Invoice
Get an order’s invoice data.
Scopes: orders:read
GET
/
v1
/
orders
/
{id}
/
invoice
python (new sdk)
from polar.v2026_04 import Polar
polar = Polar("polar_oat_xxx")
response = polar.orders.invoice(
'00000000-0000-4000-8000-000000000000',
)
print(response)import { createPolar } from "@polar-sh/sdk/2026-04";
const polar = createPolar({
accessToken: "polar_oat_xxx",
});
const response = await polar.orders.invoice(
"00000000-0000-4000-8000-000000000000",
);
console.log(response);curl --request GET \
--url https://api.polar.sh/v1/orders/{id}/invoice \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.polar.sh/v1/orders/{id}/invoice"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.polar.sh/v1/orders/{id}/invoice', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"url": "<string>"
}{
"error": "<string>",
"detail": "<string>"
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}The invoice must be generated first before it can be retrieved. You should call the
POST /v1/orders/{id}/invoice endpoint to generate the invoice.If the invoice is not generated, you will receive a 404 error.Was this page helpful?
Previous
Get Order ReceiptGet a presigned URL to download an order's receipt PDF.
**Scopes**: `orders:read`
Next
⌘I
python (new sdk)
from polar.v2026_04 import Polar
polar = Polar("polar_oat_xxx")
response = polar.orders.invoice(
'00000000-0000-4000-8000-000000000000',
)
print(response)import { createPolar } from "@polar-sh/sdk/2026-04";
const polar = createPolar({
accessToken: "polar_oat_xxx",
});
const response = await polar.orders.invoice(
"00000000-0000-4000-8000-000000000000",
);
console.log(response);
